# Get-RASAWSSubnets.md

## NAME

Get-RASAWSSubnets

## SYNOPSIS

The cmdlet returns a list of Amazon Web Service Subnets.

## SYNTAX

**Get-RASAWSSubnets** -[TemplateId](#templateid-string) *(uint)* -[TemplateType](#TemplateType) {RDSTemplate | VDITemplate} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet returns a list of Amazon Web Service Subnets.

## PARAMETERS

## TemplateId (uint)

Template ID from which to retrieve the Amazon Web Service Subtnets.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateType ([AWSTemplateType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/awstemplatetype.md))

Template Type from which to retrieve the Amazon Web Service Subtnets.

Possible values: RDSTemplate, VDITemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AWSSubnet](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/awssubnet.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAWSSubnets -TemplateId 2 -TemplateType RDSTemplate

Retrieves a list of Subnets that are available to the specified Template.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasawssubnets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
